import { InjectionToken } from '@angular/core';
/** Contant used as empty color */
export declare const EMPTY_COLOR: InjectionToken<string>;
/** Constante to set usedColorStart from the module import */
export declare const USED_COLORS: InjectionToken<string[]>;
/** Customize selected color icon */
export declare const SELECTED_COLOR_ICON: InjectionToken<string>;
/** Customize selected color svg icon */
export declare const SELECTED_COLOR_SVG_ICON: InjectionToken<string>;
/** Disable selected color icon */
export declare const DISABLE_SELECTED_COLOR_ICON: InjectionToken<boolean>;
/** Enable alpha selector **/
export declare const ENABLE_ALPHA_SELECTOR: InjectionToken<boolean>;
/**
 *
 */
export interface ColorPickerConfig {
    empty_color?: string;
    used_colors?: string[];
    selected_icon?: string;
    selected_svg_icon?: string;
    disable_selected_icon?: boolean;
    enable_alpha_selector?: boolean;
}
/**
 * This interface represents one color. Using this interface instead simple string
 * will help screen readers, because the text attribute ir set to the aria-label of
 * the option
 */
export interface MccColorPickerItem {
    text: string;
    value: string;
}
export declare type MccColorPickerOption = string | MccColorPickerItem;
export declare type MccColorPickerUsedColorPosition = 'top' | 'bottom';
/**
 * Convert RGB to HEX color
 * @param color string
 * @return string
 */
export declare function convertRgbToHex(color: any): any;
/**
 * Verify if color has # as a first char. If not, add this char
 * to the color
 * @param color string
 */
export declare function coerceHexaColor(color: string): string;
/**
 * Validate if the color is valid
 * @param color string
 */
export declare function isValidColor(color: string): boolean;
